Presets

Update a preset

Only the owner can update a preset. System presets cannot be updated via API.

PATCH
/preset/{preset_code}
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

preset_codestring
name?Name

New display name.

Defaultnull
description?Description

New description.

Defaultnull
instruction_data?Instruction Data

New instruction configuration data.

Defaultnull

Response Body

Examples

curl -X PATCH "https://v2.api.piktid.com/preset/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "preset_code": "string",
  "name": "string",
  "description": "string",
  "type": "flat_2_model",
  "visibility": "shared",
  "groups": [
    "string"
  ],
  "categories": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "thumbnail_url": "string",
      "visibility": "shared",
      "created_by": "string",
      "created_at": "string"
    }
  ],
  "instruction_data": {},
  "created_by": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty
Empty